Apple iOS < 13.1.1 Privilege Escalation Vulnerability

critical Nessus Plugin ID 133857

Synopsis

The version of Apple iOS running on the mobile device is affected by a privilege escalation vulnerability.

Description

The version of Apple iOS running on the mobile device is prior to 13.1.1. It is, therefore, affected by a privilege escalation vulnerability in its sandbox enforcement component due to third-party keyboard applications not receiving appropriate permissions. An attacker may exploit this, by having a victim install and utilise their malicious keyboard application, to record keystrokes and send this information to an attacker-controlled server.

Solution

Upgrade to Apple iOS version 13.1.1 or later

See Also

http://www.nessus.org/u?551e581a

Plugin Details

Severity: Critical

ID: 133857

File Name: apple_ios_1311_check.nbin

Version: 1.17

Type: local

Published: 2/21/2020

Updated: 5/24/2022

Risk Information

CVSS Score Source: CVE-2019-8779

VPR

Risk Factor: Medium

Score: 6.5

CVSS v2

Risk Factor: High

Base Score: 7.5

Temporal Score: 5.5

Vector: AV:N/AC:L/Au:N/C:P/I:P/A:P

Temporal Vector: E:U/RL:OF/RC:C

CVSS v3

Risk Factor: Critical

Base Score: 10

Temporal Score: 8.7

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:C/C:H/I:H/A:H

Temporal Vector: E:U/RL:O/RC:C

Vulnerability Information

CPE: cpe:/o:apple:iphone_os

Required KB Items: mdm/dependency/unlocked

Exploit Ease: No known exploits are available

Patch Publication Date: 9/27/2019

Vulnerability Publication Date: 9/27/2019

Reference Information

CVE: CVE-2019-8779

APPLE-SA: HT210624